Subject: Landmark draft

From: Mario Gerla <[email-masked]>
Date: Sun, 10 Dec 2000 00:42:25 -0800

Ceser,

Thanks for the pointer to SOAP, we will check it out. As to the question about
supporting 
unidirectional links, as you pointed out the original LANMAR uses a link state
protocol (FSR) 
which can support unidirectional links. As for Landmark advertising, the DSDV
protocol assumes
bi-directional lnks. We do have a Distance Vector algorithm (based on "parent
trees") that works for unidirectional links, 
but it does not scale well in memory and update traffic O/H. 

Xiaoyan and Mario

---------- Forwarded message ---------- 
Date: Wed, 6 Dec 2000 13:45:23 -0500 (EST) 
From: Cesar Santivanez <[email-masked]> 
To: Richard <[email-masked]> 
Cc: [email-masked] 
Subject: Re: Fwd: Re: I-D ACTION:draft-ietf-manet-lanmar-00.txt (fwd)
Richard, Mario, and Xiaoyan:
I have been working in a protocol named SOAP which shares 
LANMAR's main concepts. In SOAP I considered the triangulation problem 
that Richard mentioned in his previous e-mail, and apply 
a dynamic binding (as in mobile IPv6) to solve it.
You can take a look to the protocol specification and some discussion on:
http://www.cdsp.neu.edu/info/students/cesar/SOAP.ps 
Unfortunately, I do not have simulation results yet ...
BTW, I read in LANMAR I-D that it supports unidirectional links? 
It seems that it will only be true for the `last mile', 
i.e. for those unidirectional link closer to the destination 
(`in scope'). For those unidirectional link far away from the 
destination, the DSDV or some protocol is engaged in order to track 
the landmark node. These protocols (DSDV, TORA, etc.) tends to rely 
on bidirectional links (i.e. the availability of a reverse path). 
Thus, they will not take advantage of unidirectional links. 
I guess they could be extended for supporting unidirectional 
links, but it will increase the complexity of the protocol 
and the amount of overhead the protocol induces. 
Am I wrong?? If so, please let me know ...
Cesar Santivanez 
CDSP Center 
ECE Department 
Northeastern University

> 
> 
> Mario and Xiaoyan: 
> 
> In my earlier message, I mentioned that LANMAR may have 
> a problem with triangle routing, i.e., to route a packet 
> to a drifter, the packet must first be routed on the shortest 
> path from the source to the landmark associated with the drifter, 
> and then on the shortest path from the landmark to the drifter. 
> Another potential problem is traffic concentration at the 
> landmarks, since unless the drifter is drifting toward the 
> source of the packet, the packet to a drifter will have to 
> be routed through the landmark. (If the number of drifters 
> is small then this is not a significant problem.) 
> 
> I think that both of these potential problems can be alleviated 
> using the approach I mentioned in my earlier message, i.e., 
> applying the concept of mobile IPv6 to landmark routing. 
> In this approach, the drifter reports its new "foreign" landmark 
> (or care-of address) to its "home" landmark (analogous to a home 
> agent in mobile IP). The first packet to the drifter is then 
> rerouted by the "home" landmark toward the "foreign" landmark. 
> Then the drifter can inform the source (correspondent node) of 
> its new "foreign" landmark so that subsequent packets can be 
> routed directly toward the new landmark (thus alleviating 
> triangle routing and traffic concentration). 
> 
> I am probably not the first person to think of this, since 
> it seems to be a straightforward application of mobile IP to 
> landmark routing. Have you or anyone considered this approach? 
> 
> Richard 
> 
> ----------------------- 
> Richard Ogier 
> Sr. Research Engineer 
> SRI International 
> 333 Ravenswood Ave. 
> Menlo Park, CA 94025 
> Tel: 650-859-4216 
> Fax: 650-859-4812 
> Email: [email-masked] 
> ------------------------ 
>